Retrieves a report detailing the movement descriptions for a fund's bank accounts within a specified date range.
Security
Class_oAuth(Required scopes: fund.read)
- Partner Integration Environment (Sandbox)https://api.class-pie.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/accounting-reports/bank-account-movement-descriptions
- Production Environmenthttps://api.class.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/accounting-reports/bank-account-movement-descriptions
curl -i -X GET \
'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/accounting-reports/bank-account-movement-descriptions?startDate=2024-07-01&endDate=2025-06-30' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "Data": { "FundCode": "demo-fund", "FundName": "DEMO_SMSF_2025", "Period": { "StartPeriodDate": "2025-01-01", "EndPeriodDate": "2025-01-31", "IsEmpty": false, "IsPopulated": true, "NumberOfDaysContained": 30, "MovementDescriptions": [ { "PortfolioName": "Growth Portfolio", "BankAccountDetails": [ { "OpeningBalance": 150000.75, "ClosingBalance": 152000, "OpeningBalanceDate": "2025-01-01", "CurrencyCode": "AUD", "AccountBSB": null, "AccountNumber": null, "AccountCode": "001.BACCT", "AccountDescription": "Main Operating Account", "Status": "Active", "Transactions": [null] } ] } ] } }, "Errors": [ { "Code": "string", "Message": "string" } ] }